| skipseq

## Function

Reads and writes (returns) sequences, skipping first few

## Description

skipseq skips the first few sequences in a multiple set of sequences, and writes out the rest of them.

skipseq is a variant of the standard program for reading and writing sequences, seqret.

seqret has an option to allow it to only read the first sequence from a multiple set of sequences (-firstonly). seqret cannot, however, skip the first few sequences from a multiple set of sequence, writing out the rest; this is what skipseq is for.

In all other respects, skipseq is the same as seqret.

## Usage

Here is a sample session with skipseq

This does not skip any sequences. It is exactly equivalent to seqret:

    % skipseq
    Reads and writes (returns) sequences, skipping first few
    Input (gapped) sequence(s): @eclac.list
    Number of sequences to skip at start [0]:
    output sequence(s) [j01636.fasta]:

Go to the input files for this example
Go to the output files for this example

Example 2

This skips the first input sequence, writing out the others:

    % skipseq -skip 1
    Reads and writes (returns) sequences, skipping first few
    Input (gapped) sequence(s): @eclac.list
    output sequence(s) [j01636.fasta]:

Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequence]          seqall     (Gapped) sequence(s) filename and optional
                                      format, or reference (input USA)
       -skip               integer    [0] Number of sequences to skip at start
                                      (Any integer value)
      [-outseq]            seqoutall  [.] Sequence set(s)
                                      filename and optional format (output USA)

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers:
       -feature            boolean    Use feature information

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outseq" associated qualifiers
       -osformat2          string     Output seq format
       -osextension2       string     File name extension
       -osname2            string     Base file name
       -osdirectory2       string     Output directory
       -osdbname2          string     Database name to add
       -ossingle2          boolean    Separate file for each entry
       -oufo2              string     UFO features
       -offormat2          string     Features format
       -ofname2            string     Features file name
       -ofdirectory2       string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | (Gapped) sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required
-skip | Number of sequences to skip at start | Any integer value | 0
[-outseq] (Parameter 2) | Sequence set(s) filename and optional format (output USA) | Writeable sequence(s) | <*>.format
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
-feature | Use feature information | Boolean value Yes/No | No

## Input file format

skipseq reads one or more sequence USAs.

### Input files for usage example

### File: eclac.list

    #Formerly ECLAC
    tembl:J01636

    #Formerly ECLACA
    tembl:X51872

    #Formerly ECLACI
    tembl:V00294

    #Formerly ECLACY
    tembl:V00295

    #Formerly ECLACZ
    tembl:V00296

See the documentation for seqret to see the full range of things that you can do when reading and writing sequences.

## Output file format

skipseq writes one or more sequences files, having optionally skipped the first few sequences.

### Output files for usage example

### File: j01636.fasta

    >J01636 J01636.1 E.coli lactose operon with lacI, lacZ, lacY and lacA genes.
    gacaccatcgaatggcgcaaaacctttcgcggtatggcatgatagcgcccggaagagagt
    caattcagggtggtgaatgtgaaaccagtaacgttatacgatgtcgcagagtatgccggt
    gtctcttatcagaccgtttcccgcgtggtgaaccaggccagccacgtttctgcgaaaacg
    cgggaaaaagtggaagcggcgatggcggagctgaattacattcccaaccgcgtggcacaa
    caactggcgggcaaacagtcgttgctgattggcgttgccacctccagtctggccctgcac
    gcgccgtcgcaaattgtcgcggcgattaaatctcgcgccgatcaactgggtgccagcgtg
    gtggtgtcgatggtagaacgaagcggcgtcgaagcctgtaaagcggcggtgcacaatctt
    ctcgcgcaacgcgtcagtgggctgatcattaactatccgctggatgaccaggatgccatt
    gctgtggaagctgcctgcactaatgttccggcgttatttcttgatgtctctgaccagaca
    cccatcaacagtattattttctcccatgaagacggtacgcgactgggcgtggagcatctg
    gtcgcattgggtcaccagcaaatcgcgctgttagcgggcccattaagttctgtctcggcg
    cgtctgcgtctggctggctggcataaatatctcactcgcaatcaaattcagccgatagcg
    gaacgggaaggcgactggagtgccatgtccggttttcaacaaaccatgcaaatgctgaat
    gagggcatcgttcccactgcgatgctggttgccaacgatcagatggcgctgggcgcaatg
    cgcgccattaccgagtccgggctgcgcgttggtgcggatatctcggtagtgggatacgac
    gataccgaagacagctcatgttatatcccgccgtcaaccaccatcaaacaggattttcgc
    ctgctggggcaaaccagcgtggaccgcttgctgcaactctctcagggccaggcggtgaag
    ggcaatcagctgttgcccgtctcactggtgaaaagaaaaaccaccctggcgcccaatacg
    caaaccgcctctccccgcgcgttggccgattcattaatgcagctggcacgacaggtttcc
    cgactggaaagcgggcagtgagcgcaacgcaattaatgtgagttagctcactcattaggc
    accccaggctttacactttatgcttccggctcgtatgttgtgtggaattgtgagcggata
    acaatttcacacaggaaacagctatgaccatgattacggattcactggccgtcgttttac
    aacgtcgtgactgggaaaaccctggcgttacccaacttaatcgccttgcagcacatcccc
    ctttcgccagctggcgtaatagcgaagaggcccgcaccgatcgcccttcccaacagttgc
    gcagcctgaatggcgaatggcgctttgcctggtttccggcaccagaagcggtgccggaaa
    gctggctggagtgcgatcttcctgaggccgatactgtcgtcgtcccctcaaactggcaga
    tgcacggttacgatgcgcccatctacaccaacgtaacctatcccattacggtcaatccgc
    cgtttgttcccacggagaatccgacgggttgttactcgctcacatttaatgttgatgaaa
    gctggctacaggaaggccagacgcgaattatttttgatggcgttaactcggcgtttcatc
    tgtggtgcaacgggcgctgggtcggttacggccaggacagtcgtttgccgtctgaatttg
    acctgagcgcatttttacgcgccggagaaaaccgcctcgcggtgatggtgctgcgttgga
    gtgacggcagttatctggaagatcaggatatgtggcggatgagcggcattttccgtgacg
    tctcgttgctgcataaaccgactacacaaatcagcgatttccatgttgccactcgcttta
    atgatgatttcagccgcgctgtactggaggctgaagttcagatgtgcggcgagttgcgtg
    actacctacgggtaacagtttctttatggcagggtgaaacgcaggtcgccagcggcaccg
    cgcctttcggcggtgaaattatcgatgagcgtggtggttatgccgatcgcgtcacactac
    gtctgaacgtcgaaaacccgaaactgtggagcgccgaaatcccgaatctctatcgtgcgg
    tggttgaactgcacaccgccgacggcacgctgattgaagcagaagcctgcgatgtcggtt
    tccgcgaggtgcggattgaaaatggtctgctgctgctgaacggcaagccgttgctgattc
    gaggcgttaaccgtcacgagcatcatcctctgcatggtcaggtcatggatgagcagacga
    tggtgcaggatatcctgctgatgaagcagaacaactttaacgccgtgcgctgttcgcatt
    atccgaaccatccgctgtggtacacgctgtgcgaccgctacggcctgtatgtggtggatg
    aagccaatattgaaacccacggcatggtgccaatgaatcgtctgaccgatgatccgcgct
    ggctaccggcgatgagcgaacgcgtaacgcgaatggtgcagcgcgatcgtaatcacccga
    gtgtgatcatctggtcgctggggaatgaatcaggccacggcgctaatcacgacgcgctgt
    atcgctggatcaaatctgtcgatccttcccgcccggtgcagtatgaaggcggcggagccg
    acaccacggccaccgatattatttgcccgatgtacgcgcgcgtggatgaagaccagccct
    tcccggctgtgccgaaatggtccatcaaaaaatggctttcgctacctggagagacgcgcc
    cgctgatcctttgcgaatacgcccacgcgatgggtaacagtcttggcggtttcgctaaat

      [Part of this file has been deleted for brevity]

    gttacccaacttaatcgccttgcagcacatccccctttcgccagctggcgtaatagcgaa
    gaggcccgcaccgatcgcccttcccaacagttgcgcagcctgaatggcgaatggcgcttt
    gcctggtttccggcaccagaagcggtgccggaaagctggctggagtgcgatcttcctgag
    gccgatactgtcgtcgtcccctcaaactggcagatgcacggttacgatgcgcccatctac
    accaacgtaacctatcccattacggtcaatccgccgtttgttcccacggagaatccgacg
    ggttgttactcgctcacatttaatgttgatgaaagctggctacaggaaggccagacgcga
    attatttttgatggcgttaactcggcgtttcatctgtggtgcaacgggcgctgggtcggt
    tacggccaggacagtcgtttgccgtctgaatttgacctgagcgcatttttacgcgccgga
    gaaaaccgcctcgcggtgatggtgctgcgttggagtgacggcagttatctggaagatcag
    gatatgtggcggatgagcggcattttccgtgacgtctcgttgctgcataaaccgactaca
    caaatcagcgatttccatgttgccactcgctttaatgatgatttcagccgcgctgtactg
    gaggctgaagttcagatgtgcggcgagttgcgtgactacctacgggtaacagtttcttta
    tggcagggtgaaacgcaggtcgccagcggcaccgcgcctttcggcggtgaaattatcgat
    gagcgtggtggttatgccgatcgcgtcacactacgtctgaacgtcgaaaacccgaaactg
    tggagcgccgaaatcccgaatctctatcgtgcggtggttgaactgcacaccgccgacggc
    acgctgattgaagcagaagcctgcgatgtcggtttccgcgaggtgcggattgaaaatggt
    ctgctgctgctgaacggcaagccgttgctgattcgaggcgttaaccgtcacgagcatcat
    cctctgcatggtcaggtcatggatgagcagacgatggtgcaggatatcctgctgatgaag
    cagaacaactttaacgccgtgcgctgttcgcattatccgaaccatccgctgtggtacacg
    ctgtgcgaccgctacggcctgtatgtggtggatgaagccaatattgaaacccacggcatg
    gtgccaatgaatcgtctgaccgatgatccgcgctggctaccggcgatgagcgaacgcgta
    acgcgaatggtgcagcgcgatcgtaatcacccgagtgtgatcatctggtcgctggggaat
    gaatcaggccacggcgctaatcacgacgcgctgtatcgctggatcaaatctgtcgatcct
    tcccgcccggtgcagtatgaaggcggcggagccgacaccacggccaccgatattatttgc
    ccgatgtacgcgcgcgtggatgaagaccagcccttcccggctgtgccgaaatggtccatc
    aaaaaatggctttcgctacctggagagacgcgcccgctgatcctttgcgaatacgcccac
    gcgatgggtaacagtcttggcggtttcgctaaatactggcaggcgtttcgtcagtatccc
    cgtttacagggcggcttcgtctgggactgggtggatcagtcgctgattaaatatgatgaa
    aacggcaacccgtggtcggcttacggcggtgattttggcgatacgccgaacgatcgccag
    ttctgtatgaacggtctggtctttgccgaccgcacgccgcatccagcgctgacggaagca
    aaacaccagcagcagtttttccagttccgtttatccgggcaaaccatcgaagtgaccagc
    gaatacctgttccgtcatagcgataacgagctcctgcactggatggtggcgctggatggt
    aagccgctggcaagcggtgaagtgcctctggatgtcgctccacaaggtaaacagttgatt
    gaactgcctgaactaccgcagccggagagcgccgggcaactctggctcacagtacgcgta
    gtgcaaccgaacgcgaccgcatggtcagaagccgggcacatcagcgcctggcagcagtgg
    cgtctggcggaaaacctcagtgtgacgctccccgccgcgtcccacgccatcccgcatctg
    accaccagcgaaatggatttttgcatcgagctgggtaataagcgttggcaatttaaccgc
    cagtcaggctttctttcacagatgtggattggcgataaaaaacaactgctgacgccgctg
    cgcgatcagttcacccgtgcaccgctggataacgacattggcgtaagtgaagcgacccgc
    attgaccctaacgcctgggtcgaacgctggaaggcggcgggccattaccaggccgaagca
    gcgttgttgcagtgcacggcagatacacttgctgatgcggtgctgattacgaccgctcac
    gcgtggcagcatcaggggaaaaccttatttatcagccggaaaacctaccggattgatggt
    agtggtcaaatggcgattaccgttgatgttgaagtggcgagcgatacaccgcatccggcg
    cggattggcctgaactgccagctggcgcaggtagcagagcgggtaaactggctcggatta
    gggccgcaagaaaactatcccgaccgccttactgccgcctgttttgaccgctgggatctg
    ccattgtcagacatgtataccccgtacgtcttcccgagcgaaaacggtctgcgctgcggg
    acgcgcgaattgaattatggcccacaccagtggcgcggcgacttccagttcaacatcagc
    cgctacagtcaacagcaactgatggaaaccagccatcgccatctgctgcacgcggaagaa
    ggcacatggctgaatatcgacggtttccatatggggattggtggcgacgactcctggagc
    ccgtcagtatcggcggaattccagctgagcgccggtcgctaccattaccagttggtctgg
    tgtcaaaaataataataa

### Output files for usage example 2

### File: j01636.fasta

    >X51872 X51872.1 Escherichia coli lacA gene for thiogalactoside transacetylase
    gtgaatgaagtcgcttaagcaatcaatgtcggatgcggcgcgacgcttatccgaccaaca
    tatcataacggagtgatcgcattgaacatgccaatgaccgaaagaataagagcaggcaag
    ctatttaccgatatgtgcgaaggcttaccggaaaaaagacttcgtgggaaaacgttaatg
    tatgagtttaatcactcgcatccatcagaagttgaaaaaagagaaagcctgattaaagaa
    atgtttgccacggtaggggaaaacgcctgggtagaaccgcctgtctatttctcttacggt
    tccaacatccatataggccgcaatttttatgcaaatttcaatttaaccattgtcgatgac
    tacacggtaacaatcggtgataacgtactgattgcacccaacgttactctttccgttacg
    ggacaccctgtacaccatgaattgagaaaaaacggcgagatgtactcttttccgataacg
    attggcaataacgtctggatcggaagtcatgtggttattaatccaggcgtcaccatcggg
    gataattctgttattggcgcgggtagtatcgtcacaaaagacattccaccaaacgtcgtg
    gcggctggcgttccttgtcgggttattcgcgaaataaacgaccgggataagcactattat
    ttcaaagattataaagttgaatcgtcagtttaaattataaaaattgcctgatacgctgcg
    cttatcaggcctacaagttcagcgatctacattagccgcatccggcatgaacaaagcgca
    ggaacaagcgtcgcatcatgcctctttgacccacagctgcggaaaacgtactggtgcaaa
    acgcagggttatgatcatcagcccaacgacgcacagcgcatgaaatgcccagtccatcag
    gtaattgccgctgatactacgcagcacgccagaaaaccacggggcaagcccggcgatgat
    aaaaccgattccctgcataaacgccaccagcttgccagcaatagccggttgcacagagtg
    atcgagcgccagcagcaaacagagcggaaacgcgccgcccagacctaacccacacaccat
    cgcccacaataccggcaattgcatcggcagccagataaagccgcagaaccccaccagttg
    taacaccagcgccagcattaacagtttgcgccgatcctgatggcgagccatagcaggcat
    cagcaaagctcctgcggcttgcccaagcgtcatcaatgccagtaaggaaccgctgtactg
    cgcgctggcaccaatctcaatatagaaagcgggtaaccaggcaatcaggctggcgtaacc
    gccgttaatcagaccgaagtaaacacccagcgtccacgcgcggggagtgaataccacgcg
    aaccggagtggttgttgtcttgtgggaagaggcgacctcgcgggcgctttgccaccacca
    ggcaaagagcgcaacaacggcaggcagcgccaccaggcgagtgtttgataccaggtttcg
    ctatgttgaactaaccagggcgttatggcggcaccaagcccaccgccgcccatcagagcc
    gcggaccacagccccatcaccagtggcgtgcgctgctgaaaccgccgtttaatcaccgaa
    gcatcaccgcctgaatgatgccgatccccaccccaccaagcagtgcgctgctaagcagca
    gcgcactttgcgggtaaagctcacgcatcaatgcaccgacggcaatcagcaacagactga
    tggcgacactgcgacgttcgctgacatgctgatgaagccagcttccggccagcgccagcc
    cgcccatggtaaccaccggcagagcggtcgac
    >V00294 V00294.1 E. coli laci gene (codes for the lac repressor).
    ccggaagagagtcaattcagggtggtgaatgtgaaaccagtaacgttatacgatgtcgca
    gagtatgccggtgtctcttatcagaccgtttcccgcgtggtgaaccaggccagccacgtt
    tctgcgaaaacgcgggaaaaagtggaagcggcgatggcggagctgaattacattcccaac
    cgcgtggcacaacaactggcgggcaaacagtcgttgctgattggcgttgccacctccagt
    ctggccctgcacgcgccgtcgcaaattgtcgcggcgattaaatctcgcgccgatcaactg
    ggtgccagcgtggtggtgtcgatggtagaacgaagcggcgtcgaagcctgtaaagcggcg
    gtgcacaatcttctcgcgcaacgcgtcagtgggctgatcattaactatccgctggatgac
    caggatgccattgctgtggaagctgcctgcactaatgttccggcgttatttcttgatgtc
    tctgaccagacacccatcaacagtattattttctcccatgaagacggtacgcgactgggc
    gtggagcatctggtcgcattgggtcaccagcaaatcgcgctgttagcgggcccattaagt
    tctgtctcggcgcgtctgcgtctggctggctggcataaatatctcactcgcaatcaaatt
    cagccgatagcggaacgggaaggcgactggagtgccatgtccggttttcaacaaaccatg
    caaatgctgaatgagggcatcgttcccactgcgatgctggttgccaacgatcagatggcg
    ctgggcgcaatgcgcgccattaccgagtccgggctgcgcgttggtgcggatatctcggta
    gtgggatacgacgataccgaagacagctcatgttatatcccgccgtcaaccaccatcaaa
    caggattttcgcctgctggggcaaaccagcgtggaccgcttgctgcaactctctcagggc
    caggcggtgaagggcaatcagctgttgcccgtctcactggtgaaaagaaaaaccaccctg

      [Part of this file has been deleted for brevity]

    gttacccaacttaatcgccttgcagcacatccccctttcgccagctggcgtaatagcgaa
    gaggcccgcaccgatcgcccttcccaacagttgcgcagcctgaatggcgaatggcgcttt
    gcctggtttccggcaccagaagcggtgccggaaagctggctggagtgcgatcttcctgag
    gccgatactgtcgtcgtcccctcaaactggcagatgcacggttacgatgcgcccatctac
    accaacgtaacctatcccattacggtcaatccgccgtttgttcccacggagaatccgacg
    ggttgttactcgctcacatttaatgttgatgaaagctggctacaggaaggccagacgcga
    attatttttgatggcgttaactcggcgtttcatctgtggtgcaacgggcgctgggtcggt
    tacggccaggacagtcgtttgccgtctgaatttgacctgagcgcatttttacgcgccgga
    gaaaaccgcctcgcggtgatggtgctgcgttggagtgacggcagttatctggaagatcag
    gatatgtggcggatgagcggcattttccgtgacgtctcgttgctgcataaaccgactaca
    caaatcagcgatttccatgttgccactcgctttaatgatgatttcagccgcgctgtactg
    gaggctgaagttcagatgtgcggcgagttgcgtgactacctacgggtaacagtttcttta
    tggcagggtgaaacgcaggtcgccagcggcaccgcgcctttcggcggtgaaattatcgat
    gagcgtggtggttatgccgatcgcgtcacactacgtctgaacgtcgaaaacccgaaactg
    tggagcgccgaaatcccgaatctctatcgtgcggtggttgaactgcacaccgccgacggc
    acgctgattgaagcagaagcctgcgatgtcggtttccgcgaggtgcggattgaaaatggt
    ctgctgctgctgaacggcaagccgttgctgattcgaggcgttaaccgtcacgagcatcat
    cctctgcatggtcaggtcatggatgagcagacgatggtgcaggatatcctgctgatgaag
    cagaacaactttaacgccgtgcgctgttcgcattatccgaaccatccgctgtggtacacg
    ctgtgcgaccgctacggcctgtatgtggtggatgaagccaatattgaaacccacggcatg
    gtgccaatgaatcgtctgaccgatgatccgcgctggctaccggcgatgagcgaacgcgta
    acgcgaatggtgcagcgcgatcgtaatcacccgagtgtgatcatctggtcgctggggaat
    gaatcaggccacggcgctaatcacgacgcgctgtatcgctggatcaaatctgtcgatcct
    tcccgcccggtgcagtatgaaggcggcggagccgacaccacggccaccgatattatttgc
    ccgatgtacgcgcgcgtggatgaagaccagcccttcccggctgtgccgaaatggtccatc
    aaaaaatggctttcgctacctggagagacgcgcccgctgatcctttgcgaatacgcccac
    gcgatgggtaacagtcttggcggtttcgctaaatactggcaggcgtttcgtcagtatccc
    cgtttacagggcggcttcgtctgggactgggtggatcagtcgctgattaaatatgatgaa
    aacggcaacccgtggtcggcttacggcggtgattttggcgatacgccgaacgatcgccag
    ttctgtatgaacggtctggtctttgccgaccgcacgccgcatccagcgctgacggaagca
    aaacaccagcagcagtttttccagttccgtttatccgggcaaaccatcgaagtgaccagc
    gaatacctgttccgtcatagcgataacgagctcctgcactggatggtggcgctggatggt
    aagccgctggcaagcggtgaagtgcctctggatgtcgctccacaaggtaaacagttgatt
    gaactgcctgaactaccgcagccggagagcgccgggcaactctggctcacagtacgcgta
    gtgcaaccgaacgcgaccgcatggtcagaagccgggcacatcagcgcctggcagcagtgg
    cgtctggcggaaaacctcagtgtgacgctccccgccgcgtcccacgccatcccgcatctg
    accaccagcgaaatggatttttgcatcgagctgggtaataagcgttggcaatttaaccgc
    cagtcaggctttctttcacagatgtggattggcgataaaaaacaactgctgacgccgctg
    cgcgatcagttcacccgtgcaccgctggataacgacattggcgtaagtgaagcgacccgc
    attgaccctaacgcctgggtcgaacgctggaaggcggcgggccattaccaggccgaagca
    gcgttgttgcagtgcacggcagatacacttgctgatgcggtgctgattacgaccgctcac
    gcgtggcagcatcaggggaaaaccttatttatcagccggaaaacctaccggattgatggt
    agtggtcaaatggcgattaccgttgatgttgaagtggcgagcgatacaccgcatccggcg
    cggattggcctgaactgccagctggcgcaggtagcagagcgggtaaactggctcggatta
    gggccgcaagaaaactatcccgaccgccttactgccgcctgttttgaccgctgggatctg
    ccattgtcagacatgtataccccgtacgtcttcccgagcgaaaacggtctgcgctgcggg
    acgcgcgaattgaattatggcccacaccagtggcgcggcgacttccagttcaacatcagc
    cgctacagtcaacagcaactgatggaaaccagccatcgccatctgctgcacgcggaagaa
    ggcacatggctgaatatcgacggtttccatatggggattggtggcgacgactcctggagc
    ccgtcagtatcggcggaattccagctgagcgccggtcgctaccattaccagttggtctgg
    tgtcaaaaataataataa

See the documentation for seqret to see the full range of things that you can do when reading and writing sequences.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

You may skip all of the input files.
If the -skip value is greater than or equal to the number of input sequences, there is no warning: this is legal.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
biosed | Replace or delete sequence sections
codcopy | Reads and writes a codon usage table
cutseq | Removes a specified section from a sequence
degapseq | Removes gap characters from sequences
descseq | Alter the name or description of a sequence
entret | Reads and writes (returns) flatfile entries
extractalign | Extract regions from a sequence alignment
extractfeat | Extract features from a sequence
extractseq | Extract regions from a sequence
listor | Write a list file of the logical OR of two sets of sequences
makenucseq | Creates random nucleotide sequences
makeprotseq | Creates random protein sequences
maskfeat | Mask off features of a sequence
maskseq | Mask off regions of a sequence
newseq | Type in a short new sequence
noreturn | Removes carriage return from ASCII files
notseq | Exclude a set of sequences and write out the remaining ones
nthseq | Writes one sequence from a multiple set of sequences
pasteseq | Insert one sequence into another
revseq | Reverse and complement a sequence
seqret | Reads and writes (returns) sequences
seqretsplit | Reads and writes (returns) sequences in individual files
splitter | Split a sequence into (overlapping) smaller sequences
trimest | Trim poly-A tails off EST sequences
trimseq | Trim ambiguous bits off the ends of sequences
union | Reads sequence fragments and builds one sequence
vectorstrip | Strips out DNA between a pair of vector sequences
yank | Reads a sequence range, appends the full USA to a list file

skipseq is a variant of the standard program for reading and writing sequences, seqret.

## Author(s)

Peter Rice (pmr © ebi.ac.uk)
Informatics Division, European Bioinformatics Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge CB10 1SD, UK

## History

Written (25 June 2002) - Peter Rice

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None